import greenfoot.*;

/**
 * Stalactiet
 */
public class Bovenstekel extends Actor
{
    public Bovenstekel(int nr) {
        setImage("stekel" + nr + "boven.png");
    }
    
    /**
     * De verticale positie van het middelpunt van deze stekel
     */
    public int getMiddelpuntY () {
        return 24 + getImage().getHeight()/2;
    }        
    
    /**
     * Verplaats de stekel naar links en verwijder hem als hij de linkerrand bereikt heeft.
     */
    public void act() {
        if (getX() <= 0) {
            getWorld().removeObject(this);
        } else {
            setLocation (getX() - 3, getY());
        }
    }    
}
